Package jebl.evolution.sequences

# Class CodonState

java.lang.Object
jebl.evolution.sequences.State
jebl.evolution.sequences.CodonState

All Implemented Interfaces:
  `Comparable`

public final class CodonState extends State
As of 2007-07-30, instances of this class are only constructed for non-ambigous nucleotide triplets - see `Codons`.

Version:
  $Id: CodonState.java 810 2007-10-12 00:40:45Z twobeers $
Author:
  Andrew Rambaut, Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`SequenceType`
`getType()`
`boolean`
`isGap()`

### Methods inherited from class jebl.evolution.sequences.State

`compareTo, fractionEqual, getCanonicalStates, getCode, getFullName, getIndex, getName, isAmbiguous, possiblyEqual, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### isGap

public boolean isGap()

Specified by:
  `isGap` in class `State`

### getType

public SequenceType getType()

Specified by:
  `getType` in class `State`